<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKGameRequestDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_f_b_s_d_k_game_request_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKGameRequestDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_game_request_dialog_8h_source.html">FBSDKGameRequestDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKGameRequestDialog:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_game_request_dialog.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a12864871d0d4e6c9bb108a66144f8e1f"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#a12864871d0d4e6c9bb108a66144f8e1f">canShow</a></td></tr>
<tr class="separator:a12864871d0d4e6c9bb108a66144f8e1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa92ed48428c528e6bc2ebaa18793df0d"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#aa92ed48428c528e6bc2ebaa18793df0d">show</a></td></tr>
<tr class="separator:aa92ed48428c528e6bc2ebaa18793df0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d32c3e433a913b18a768fc521315264"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#a7d32c3e433a913b18a768fc521315264">validateWithError:</a></td></tr>
<tr class="separator:a7d32c3e433a913b18a768fc521315264"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a7222e1c75b2e35ef285ad7e8cee0dd5a"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#a7222e1c75b2e35ef285ad7e8cee0dd5a">showWithContent:delegate:</a></td></tr>
<tr class="separator:a7222e1c75b2e35ef285ad7e8cee0dd5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ac33aec2227f6156213a0f8a734d040b2"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_game_request_dialog_delegate-p.html">FBSDKGameRequestDialogDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#ac33aec2227f6156213a0f8a734d040b2">delegate</a></td></tr>
<tr class="separator:ac33aec2227f6156213a0f8a734d040b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604de6e2ac12fb1e5fb60f5546db09d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_f_b_s_d_k_game_request_content.html">FBSDKGameRequestContent</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#a604de6e2ac12fb1e5fb60f5546db09d0">content</a></td></tr>
<tr class="separator:a604de6e2ac12fb1e5fb60f5546db09d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bb722ee3374be16b2eb9a544f40ca9f"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_game_request_dialog.html#a4bb722ee3374be16b2eb9a544f40ca9f">frictionlessRequestsEnabled</a></td></tr>
<tr class="separator:a4bb722ee3374be16b2eb9a544f40ca9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A dialog for sending game requests. </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="a12864871d0d4e6c9bb108a66144f8e1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12864871d0d4e6c9bb108a66144f8e1f">&#9670;&nbsp;</a></span>canShow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) canShow </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>A Boolean value that indicates whether the receiver can initiate a game request.</p>
<p>May return NO if the appropriate Facebook app is not installed and is required or an access token is required but not available. This method does not validate the content on the receiver, so this can be checked before building up the content.</p>
<ul>
<li>See:validateWithError:<ul>
<li>Returns: YES if the receiver can share, otherwise NO. </li>
</ul>
</li>
</ul>

</div>
</div>
<a id="aa92ed48428c528e6bc2ebaa18793df0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa92ed48428c528e6bc2ebaa18793df0d">&#9670;&nbsp;</a></span>show()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) show </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Begins the game request from the receiver.</p><ul>
<li>Returns: YES if the receiver was able to show the dialog, otherwise NO. </li>
</ul>

</div>
</div>
<a id="a7222e1c75b2e35ef285ad7e8cee0dd5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7222e1c75b2e35ef285ad7e8cee0dd5a">&#9670;&nbsp;</a></span>showWithContent:delegate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) showWithContent: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_f_b_s_d_k_game_request_content.html">FBSDKGameRequestContent</a> *)&#160;</td>
          <td class="paramname"><em>content</em></td>
        </tr>
        <tr>
          <td class="paramkey">delegate:</td>
          <td></td>
          <td class="paramtype">(id&lt; <a class="el" href="protocol_f_b_s_d_k_game_request_dialog_delegate-p.html">FBSDKGameRequestDialogDelegate</a> &gt;)&#160;</td>
          <td class="paramname"><em>delegate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to build up a game request with content and a delegate.</p><ul>
<li>Parameter content: The content for the game request.</li>
<li>Parameter delegate: The receiver's delegate. </li>
</ul>

</div>
</div>
<a id="a7d32c3e433a913b18a768fc521315264"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d32c3e433a913b18a768fc521315264">&#9670;&nbsp;</a></span>validateWithError:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) validateWithError: </td>
          <td></td>
          <td class="paramtype">(NSError *__autoreleasing *)&#160;</td>
          <td class="paramname"><em>errorRef</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Validates the content on the receiver.</p><ul>
<li>Parameter errorRef: If an error occurs, upon return contains an NSError object that describes the problem.</li>
<li>Returns: YES if the content is valid, otherwise NO. </li>
</ul>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a604de6e2ac12fb1e5fb60f5546db09d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a604de6e2ac12fb1e5fb60f5546db09d0">&#9670;&nbsp;</a></span>content</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_f_b_s_d_k_game_request_content.html">FBSDKGameRequestContent</a>*) content</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The content for game request. </p>

</div>
</div>
<a id="ac33aec2227f6156213a0f8a734d040b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac33aec2227f6156213a0f8a734d040b2">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_f_b_s_d_k_game_request_dialog_delegate-p.html">FBSDKGameRequestDialogDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The receiver's delegate or nil if it doesn't have a delegate. </p>

</div>
</div>
<a id="a4bb722ee3374be16b2eb9a544f40ca9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bb722ee3374be16b2eb9a544f40ca9f">&#9670;&nbsp;</a></span>frictionlessRequestsEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) frictionlessRequestsEnabled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Specifies whether frictionless requests are enabled. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_game_request_dialog_8h_source.html">FBSDKGameRequestDialog.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
